using adas_core.Domain.Models;

namespace adas_core.Application.Repositories.Interfaces;

public interface IRecordingAlertArchiveRepository : IMongoRepository<PatientRecordingAlert>
{
    new Task InsertOneAsync(PatientRecordingAlert recordingAlert);
    Task DeleteBeforeDate(DateTime date);
    Task<long> InsertBatch(IEnumerable<PatientRecordingAlert> recordingAlerts);
}